Class StoragePoolAggregatedList.Builder (1.88.0)

public static final class StoragePoolAggregatedList.Builder extends GeneratedMessageV3.Builder<StoragePoolAggregatedList.Builder> implements StoragePoolAggregatedListOrBuilder

Protobuf type google.cloud.compute.v1.StoragePoolAggregatedList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllUnreachables(Iterable<String> values)

public StoragePoolAggregatedList.Builder addAllUnreachables(Iterable<String> values)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
values Iterable<String>

The unreachables to add.

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public StoragePoolAggregatedList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
StoragePoolAggregatedList.Builder
Overrides

addUnreachables(String value)

public StoragePoolAggregatedList.Builder addUnreachables(String value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value String

The unreachables to add.

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

addUnreachablesBytes(ByteString value)

public StoragePoolAggregatedList.Builder addUnreachablesBytes(ByteString value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value ByteString

The bytes of the unreachables to add.

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

build()

public StoragePoolAggregatedList build()
Returns
Type Description
StoragePoolAggregatedList

buildPartial()

public StoragePoolAggregatedList buildPartial()
Returns
Type Description
StoragePoolAggregatedList

clear()

public StoragePoolAggregatedList.Builder clear()
Returns
Type Description
StoragePoolAggregatedList.Builder
Overrides

clearEtag()

public StoragePoolAggregatedList.Builder clearEtag()

optional string etag = 3123477;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearField(Descriptors.FieldDescriptor field)

public StoragePoolAggregatedList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
StoragePoolAggregatedList.Builder
Overrides

clearId()

public StoragePoolAggregatedList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearItems()

public StoragePoolAggregatedList.Builder clearItems()
Returns
Type Description
StoragePoolAggregatedList.Builder

clearKind()

public StoragePoolAggregatedList.Builder clearKind()

[Output Only] Type of resource. Always compute#storagePoolAggregatedList for aggregated lists of storage pools.

optional string kind = 3292052;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearNextPageToken()

public StoragePoolAggregatedList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public StoragePoolAggregatedList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
StoragePoolAggregatedList.Builder
Overrides
public StoragePoolAggregatedList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearUnreachables()

public StoragePoolAggregatedList.Builder clearUnreachables()

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Returns
Type Description
StoragePoolAggregatedList.Builder

This builder for chaining.

clearWarning()

public StoragePoolAggregatedList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
StoragePoolAggregatedList.Builder

clone()

public StoragePoolAggregatedList.Builder clone()
Returns
Type Description
StoragePoolAggregatedList.Builder
Overrides

containsItems(String key)

public boolean containsItems(String key)

A list of StoragePoolsScopedList resources.

map<string, .google.cloud.compute.v1.StoragePoolsScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
boolean

getDefaultInstanceForType()

public StoragePoolAggregatedList getDefaultInstanceForType()
Returns
Type Description
StoragePoolAggregatedList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getEtag()

public String getEtag()

optional string etag = 3123477;

Returns
Type Description
String

The etag.

getEtagBytes()

public ByteString getEtagBytes()

optional string etag = 3123477;

Returns
Type Description
ByteString

The bytes for etag.

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems() (deprecated)

public Map<String,StoragePoolsScopedList> getItems()

Use #getItemsMap() instead.

Returns
Type Description
Map<String,StoragePoolsScopedList>

getItemsCount()

public int getItemsCount()

A list of StoragePoolsScopedList resources.

map<string, .google.cloud.compute.v1.StoragePoolsScopedList> items = 100526016;

Returns
Type Description
int

getItemsMap()

public Map<String,StoragePoolsScopedList> getItemsMap()

A list of StoragePoolsScopedList resources.

map<string, .google.cloud.compute.v1.StoragePoolsScopedList> items = 100526016;

Returns
Type Description
Map<String,StoragePoolsScopedList>

getItemsOrDefault(String key, StoragePoolsScopedList defaultValue)

public StoragePoolsScopedList getItemsOrDefault(String key, StoragePoolsScopedList defaultValue)

A list of StoragePoolsScopedList resources.

map<string, .google.cloud.compute.v1.StoragePoolsScopedList> items = 100526016;

Parameters
Name Description
key String
defaultValue StoragePoolsScopedList
Returns
Type Description
StoragePoolsScopedList

getItemsOrThrow(String key)

public StoragePoolsScopedList getItemsOrThrow(String key)

A list of StoragePoolsScopedList resources.

map<string, .google.cloud.compute.v1.StoragePoolsScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
StoragePoolsScopedList